Debian Bug report logs - #543068
libupnp4: FTBFS: /usr/bin/install: will not overwrite just-created `/build/user-libupnp4_1.8.0~cvs20080628-2-amd64-EMdlrU/libupnp4-1.8.0~cvs20080628/debian/tmp/usr/share/doc/libupnp4-dev/examples/sample_util.h' with `common/sample_util.h'

version graph

Package: libupnp4; Maintainer for libupnp4 is Nick Leverton <nick@leverton.org>; Source for libupnp4 is src:libupnp4.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 22 Aug 2009 17:10:16 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version libupnp4/1.8.0~cvs20080628-2

Fixed in version libupnp4/1.8.0~cvs20080628-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nick Leverton <nick@leverton.org>:
Bug#543068; Package libupnp4. (Sat, 22 Aug 2009 17:10:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Nick Leverton <nick@leverton.org>. (Sat, 22 Aug 2009 17:10:23 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libupnp4: FTBFS: /usr/bin/install: will not overwrite just-created `/build/user-libupnp4_1.8.0~cvs20080628-2-amd64-EMdlrU/libupnp4-1.8.0~cvs20080628/debian/tmp/usr/share/doc/libupnp4-dev/examples/sample_util.h' with `common/sample_util.h'
Date: Sat, 22 Aug 2009 18:52:53 +0200
Package: libupnp4
Version: 1.8.0~cvs20080628-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090822 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[4]: Entering directory `/build/user-libupnp4_1.8.0~cvs20080628-2-amd64-EMdlrU/libupnp4-1.8.0~cvs20080628/upnp/sample'
> make[4]: Nothing to be done for `install-exec-am'.
> test -z "/usr/share/doc/libupnp4-dev/examples" || /bin/mkdir -p "/build/user-libupnp4_1.8.0~cvs20080628-2-amd64-EMdlrU/libupnp4-1.8.0~cvs20080628/debian/tmp/usr/share/doc/libupnp4-dev/examples"
>  /usr/bin/install -c -m 644 common/sample_util.c common/sample_util.h tvctrlpt/upnp_tv_ctrlpt.c tvctrlpt/upnp_tv_ctrlpt.h tvctrlpt/linux/upnp_tv_ctrlpt_main.c common/sample_util.c common/sample_util.h tvdevice/upnp_tv_device.c tvdevice/upnp_tv_device.h tvdevice/linux/upnp_tv_device_main.c '/build/user-libupnp4_1.8.0~cvs20080628-2-amd64-EMdlrU/libupnp4-1.8.0~cvs20080628/debian/tmp/usr/share/doc/libupnp4-dev/examples'
> /usr/bin/install: will not overwrite just-created `/build/user-libupnp4_1.8.0~cvs20080628-2-amd64-EMdlrU/libupnp4-1.8.0~cvs20080628/debian/tmp/usr/share/doc/libupnp4-dev/examples/sample_util.c' with `common/sample_util.c'
> /usr/bin/install: will not overwrite just-created `/build/user-libupnp4_1.8.0~cvs20080628-2-amd64-EMdlrU/libupnp4-1.8.0~cvs20080628/debian/tmp/usr/share/doc/libupnp4-dev/examples/sample_util.h' with `common/sample_util.h'
> make[4]: *** [install-examplesDATA] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/08/22/libupnp4_1.8.0~cvs20080628-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Nick Leverton <nick@leverton.org>:
Bug#543068; Package libupnp4. (Sun, 11 Oct 2009 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Potyra <stefan.potyra@informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to Nick Leverton <nick@leverton.org>. (Sun, 11 Oct 2009 13:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 543068@bugs.debian.org (full text, mbox):

From: Stefan Potyra <stefan.potyra@informatik.uni-erlangen.de>
To: 543068@bugs.debian.org
Subject: Re: libupnp4: FTBFS
Date: Sun, 11 Oct 2009 15:32:16 +0200
[Message part 1 (text/plain, inline)]
Hi,

newer autotools don't seem to like listing files to install twice. Attached is 
a patch that fixes the problem ($(sort <filelist>) removes duplicate 
entries).

Cheers,
   Stefan.
[03-fix-duplicate-entries (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Stefan Potyra <sistpoty@ubuntu.com> to control@bugs.debian.org. (Sun, 11 Oct 2009 14:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nick Leverton <nick@leverton.org>:
Bug#543068; Package libupnp4. (Sat, 28 Nov 2009 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Nick Leverton <nick@leverton.org>. (Sat, 28 Nov 2009 00:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 543068@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 543068@bugs.debian.org
Subject: libupnp4: diff for NMU version 1.8.0~cvs20080628-2.1
Date: Sat, 28 Nov 2009 00:55:43 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for libupnp4 (versioned as 1.8.0~cvs20080628-2.1). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #270:  Someone has messed up the kernel pointers 
[libupnp4-1.8.0~cvs20080628-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 00:06:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 00:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 543068-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 543068-close@bugs.debian.org
Subject: Bug#543068: fixed in libupnp4 1.8.0~cvs20080628-2.1
Date: Sat, 28 Nov 2009 00:02:57 +0000
Source: libupnp4
Source-Version: 1.8.0~cvs20080628-2.1

We believe that the bug you reported is fixed in the latest version of
libupnp4, which is due to be installed in the Debian FTP archive:

libupnp4-dbg_1.8.0~cvs20080628-2.1_i386.deb
  to main/libu/libupnp4/libupnp4-dbg_1.8.0~cvs20080628-2.1_i386.deb
libupnp4-dev_1.8.0~cvs20080628-2.1_i386.deb
  to main/libu/libupnp4/libupnp4-dev_1.8.0~cvs20080628-2.1_i386.deb
libupnp4_1.8.0~cvs20080628-2.1.diff.gz
  to main/libu/libupnp4/libupnp4_1.8.0~cvs20080628-2.1.diff.gz
libupnp4_1.8.0~cvs20080628-2.1.dsc
  to main/libu/libupnp4/libupnp4_1.8.0~cvs20080628-2.1.dsc
libupnp4_1.8.0~cvs20080628-2.1_i386.deb
  to main/libu/libupnp4/libupnp4_1.8.0~cvs20080628-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543068@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libupnp4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 00:47:48 +0100
Source: libupnp4
Binary: libupnp4 libupnp4-dev libupnp4-dbg
Architecture: source i386
Version: 1.8.0~cvs20080628-2.1
Distribution: unstable
Urgency: low
Maintainer: Nick Leverton <nick@leverton.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libupnp4   - Portable SDK for UPnP Devices (shared libraries)
 libupnp4-dbg - debugging symbols for libupnp4
 libupnp4-dev - Portable SDK for UPnP Devices (development files)
Closes: 543068
Changes: 
 libupnp4 (1.8.0~cvs20080628-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * New patch 03-fix-duplicate-entries: remove duplicates from file list;
     patch by Stefan Potyra (closes: #543068).
Checksums-Sha1: 
 e390e2be61eaa075c83bc1b35279518db02b05a1 1790 libupnp4_1.8.0~cvs20080628-2.1.dsc
 b7fd9989fda67ce6300e868d336b1da4fc331441 14694 libupnp4_1.8.0~cvs20080628-2.1.diff.gz
 b82a68c25ac3f325663b71e30fa545dc81ed8e29 109898 libupnp4_1.8.0~cvs20080628-2.1_i386.deb
 abe1ac9be1098faeae9de168554ad2bf3e6d6f8c 1090750 libupnp4-dev_1.8.0~cvs20080628-2.1_i386.deb
 4f4c47d159d27518965e4c709cfd7103689e0bcb 219280 libupnp4-dbg_1.8.0~cvs20080628-2.1_i386.deb
Checksums-Sha256: 
 5b1515b05b698b5a59fae887e9dac90372af8ad2d424256ba0b21d6872455f85 1790 libupnp4_1.8.0~cvs20080628-2.1.dsc
 2ac3be07b71b8d765fdfa52c705feb859a3bf6eb85261f45cbbff891718cdec7 14694 libupnp4_1.8.0~cvs20080628-2.1.diff.gz
 c3f01de78bdc6c8e6dcf18bd1de1857d6753f9b2eeb6d240d54190db5e7e019f 109898 libupnp4_1.8.0~cvs20080628-2.1_i386.deb
 78f31c597f5bbb2057649d1ae6ab7c8e36aa5b2069b9abdaf1dd6c10283c043f 1090750 libupnp4-dev_1.8.0~cvs20080628-2.1_i386.deb
 5e5665c2f5254dbba1969a522a7adef17e95b918266674de83b31a8975c8bdfd 219280 libupnp4-dbg_1.8.0~cvs20080628-2.1_i386.deb
Files: 
 070162822040cbcf2d3e590d627aa171 1790 net extra libupnp4_1.8.0~cvs20080628-2.1.dsc
 2c785e74e57132fddff2ea3c9a23ae81 14694 net extra libupnp4_1.8.0~cvs20080628-2.1.diff.gz
 d8b0d0712406183e8a5a564057ff3ac1 109898 libs extra libupnp4_1.8.0~cvs20080628-2.1_i386.deb
 c43056c23bd27e62a7ea94bf1fd21c5e 1090750 libdevel extra libupnp4-dev_1.8.0~cvs20080628-2.1_i386.deb
 01627acc2e3bf2c8527fda9811b81cc7 219280 libdevel extra libupnp4-dbg_1.8.0~cvs20080628-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEGabAAoJELs6aAGGSaoGVVUP/RDVuBp505lIdb8J/QwYZSHL
R0In9ZuQg7qZ/OO380JO2r9AnjM0Mm0IhxqxzXembWGmMrsBK2E2Vo+k9Ypc41ug
3ha0QW+GNS9UZH0jCKGxMb69nugxdhGaddiGd/VRmvRxfePINcGu6Ipo+OLDYaVz
EsrtICVtk9Gl82oHCULqq9hh0YUCxW9Yk6hl+ZY35+lPrFoCCjEdDHBK4ydrCPF9
WryPlOIyvwSqPHQPhI7LRi2u23RGo3awPxw+Mzac9OII4A78wP1OTbYTkALhniUH
iFOMZTVDiFmL/zljzkYr5C18L/bVfeAFXijnLwy/yrv8y2fA42a+hGS55AAWS2MX
4FyN+sKZjU+eyX/26VWXzpv+zPlShd6Y42EX7pi9gqxXOg6XobhcUjpYW7Mwu3e3
oqc046DT5vB//eDIwRUBRE4hqZvlidKGkRTkLdwN+mZ3GVzdeSHtAFO8eMHP4n8x
uHBoTfGRWtP6MO++hVyJwSQYBXtzMxJ21dLB1BkcqG8WWNLIGAn8yBjl0rSKI1kZ
YQUiP/aEQOwydx4cygXr9d3izhZBOnCSlL5ONaoKoksJIzdFmrc3GFmUxyJf34Ml
f0Ziufi8SMmctoEYx9MeKV7I96EO+M7HEO9jeORRgUD68y17sipNaAfgPWDnGEM0
OqFdLwwmZ+9hc+dn1EE8
=fiL5
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#543068; Package libupnp4. (Tue, 01 Dec 2009 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. (Tue, 01 Dec 2009 20:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 543068@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: gregor herrmann <gregoa@debian.org>, 543068@bugs.debian.org
Subject: Re: Bug#543068: libupnp4: diff for NMU version 1.8.0~cvs20080628-2.1
Date: Tue, 1 Dec 2009 20:25:41 +0000
On Sat, Nov 28, 2009 at 12:55:43AM +0100, gregor herrmann wrote:
> Dear maintainer,
> 
> I've uploaded an NMU for libupnp4 (versioned as 1.8.0~cvs20080628-2.1). The diff
> is attached to this message.

Hi,

Many thanks for your NMU, I'm afraid I'm a bit tied up in real life at
the moment to have done it myself.

Best regards

Nick Leverton




Bug 543068 cloned as bug 572859. Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Sun, 07 Mar 2010 08:06:01 GMT) Full text and rfc822 format available.

Added tag(s) squeeze and sid. Request was from Touko Korpela <tkorpela@phnet.fi> to control@bugs.debian.org. (Tue, 09 Mar 2010 18:45:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:40:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:48:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.